generator: admingenerator.generator.doctrine
params:
    model: Webmil\Frontend\NewsBundle\Entity\News
    namespace_prefix: Webmil
    concurrency_lock: ~
    bundle_name: BackendNewsBundle
    pk_requirement: ~
    fields: 
      gallery:
        label:            Зображення
        dbType:           collection
        formType:         afe_collection_upload
        addFormOptions:
          maxNumberOfFiles: 20
          nameable:         false
          nameable_field:   ~
          # editable:         [name]
          type:             \Webmil\Frontend\NewsBundle\Form\NewsGalleryType
          acceptFileTypes:            /(\.|\/)(gif|jpe?g|png)$/i
          loadImageFileTypes:     /^image\/(gif|jpeg|png)$/
          previewMaxWidth:            100
          previewMaxHeight:           100
          previewAsCanvas:            true
          prependFiles:               false 
          allow_add:                  true
          allow_delete:               true
          options:
            data_class:    \Webmil\Frontend\NewsBundle\Entity\NewsGallery          
      fileFirst:
        label:            Головне фото
        formType:         afe_single_upload
        dbType:           string
        addFormOptions: 
         nameable:       photoFirst
         data_class:     Symfony\Component\HttpFoundation\File\File 
      fileSecond:
        label:            Друге фото
        formType:         afe_single_upload
        dbType:           string
        addFormOptions: 
         nameable:       photoSecond
         data_class:     Symfony\Component\HttpFoundation\File\File    
      fileThird:
        label:            Третє фото
        formType:         afe_single_upload
        dbType:           string
        addFormOptions: 
         nameable:       photoThird
         data_class:     Symfony\Component\HttpFoundation\File\File       
      translations:
        formType: a2lix_translations
        addFormOptions:
         required: false    
         fields: 
           title:
             locale_options:
               uk:
                 label : Назва  
               ru:
                 label : Назва
           short:
             locale_options:
               uk:
                 label : Коротко  
               ru:
                 label : Кратко      
           description:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               uk:
                 label : Опис  
               ru:
                 label : Описание
           metakeywords:
             locale_options:
               uk:
                 label : Meta Keywords
               ru:
                 label : Meta Keywords
           metadescription:
             locale_options:
               uk:
                 label : Meta Description
               ru:
                 label : Meta Description 
    object_actions:
        delete: ~
    batch_actions:
        delete: ~
builders:
    list:
        params:
            title: Список новин
            display: [getTitle]
            actions:
                new: ~
            object_actions:
                edit: ~
                delete: ~
    filters:
        params:
            display: []
    new:
        params:
            title: Новини
            display: [fileFirst, translations, gallery]
            actions:
                save: ~
                list: ~
    edit:
        params:
            title: "Ви редагуєте \"%object%\"|{ %object%: News.getTitle }|"
            display: [fileFirst, translations, gallery]
            actions:
                save: ~
                list: ~
    show:
        params:
            title: "You're viewing the object \"%object%\"|{ %object%: YourModel.title }|"
            display: ~
            actions:
                list: ~
                new: ~
    actions:
        params:
            object_actions:
                delete: ~
            batch_actions:
                delete: ~
